//
//  AXLicense.h
//  Acrux
//
//  Created by Chetan Surpur on 12/24/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AXLicense : NSObject <NSCoding> {
	NSString *licenseKey;
	NSString *computerUniqueID;
	
	bool activated;
	bool changed;
	
	int created;
	int maxUses;
	int maxDays;
	int maxComputers;
	
	int totalUses;
	int totalDays;
	int totalComputers;
	
	bool trial;
}

- (bool) isValid;
- (NSString *) getLicenseKey;
- (NSString *) getComputerUniqueID;
- (bool) isActivated;
- (bool) hasBeenChanged;
- (int) getCreated;
- (int) getMaxUses;
- (int) getMaxDays;
- (int) getMaxComputers;
- (int) getTotalUses;
- (int) getTotalComputers;
- (bool) isTrial;

- (void) setLicenseKey: (NSString *)input;
- (void) setComputerUniqueID: (NSString *)input;
- (void) setActivated: (bool)newActivated;
- (void) setChanged: (bool)newChanged; // set this after every update to the local license to mark the local version as changed and different from the server version
- (void) setCreated: (int)newCreated;
- (void) setMaxUses: (int)newMaxUses;
- (void) setMaxDays: (int)newMaxDays;
- (void) setMaxComputers: (int)newMaxComputers;
- (void) setTotalUses: (int)newTotalUses;
- (void) setTotalComputers: (int)newTotalComputers;
- (void) setTrial: (bool)newTrial;


@end
