//
//  AXWindowController.h
//  Acrux
//
//  Created by Chetan Surpur on 12/26/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class AXController;
@class AXLicense;

@interface AXWindowController : NSWindowController {
	AXLicense *license;
	
	IBOutlet NSWindow *activationWindow;
	
	IBOutlet NSTextField *title;
	IBOutlet NSTextField *info;
	IBOutlet NSTextField *licenseKey;
	
	IBOutlet NSButton *buyButton;
	IBOutlet NSButton *tryButton;
	IBOutlet NSButton *activateButton;
	IBOutlet NSButton *closeButton;
}

- (void) updateWindowWithLicense;

- (IBAction) buyButtonPressed: (id)sender;
- (IBAction) tryButtonPressed: (id)sender;
- (IBAction) activateButtonPressed: (id)sender;
- (IBAction) closeButtonPressed: (id)sender;

- (void) runActivateThread;
- (void) runTryThread;

- (void) processActivationResult: (int)result;

- (void) setWindowTitle: (NSString *)input;
- (void) setTitleText: (NSString *)input;
- (void) setInfoText: (NSString *)input;
- (void) setInfoTextColor: (NSColor *)input;
- (void) setLicenseKeyText: (NSString *)input;

- (void) hideTryButton;

- (NSString *) getLicenseKeyText;

@end